Visualizzazione dei risultati da 1 a 2 su 2

Discussione: conflitti con jquery

  1. #1
    Utente di HTML.it L'avatar di Kahm
    Registrato dal
    Dec 2004
    residenza
    Rome
    Messaggi
    3,420

    conflitti con jquery

    salve a tutti

    ho 2 pagine di esempio, ho cambiato solo i reference a jquery
    1)http://www.suale.it/pet/1.html
    2)http://www.suale.it/pet/2.html
    come potete vedere :
    1.htm usa query versione 1.8 e nella head l'immagine è allineata bene, ma cliccando nella lista bootstrap non si avvia per il popup, qui il browser dice ceh bootstrap richiede jquery 1.9 o superiore.
    2.html ho disabilitato jquery 1.8 e referenziato 1.10, ora il popup di bootstrap funziona, ma le immagini non sono ben allineate come prima
    in entrambi i casi il jquery Tabs non funziona .

    ho cambiato solo il reference per il jquery
    cosa sbaglio?
    NN vi diro mai chi sono in realta,
    tutti i miei 3D sono orfani, non insistete per farmi rispondere ai 3D aperti da me

  2. #2
    Utente di HTML.it L'avatar di stoneweb
    Registrato dal
    Jul 2016
    residenza
    San Mauro Torinese
    Messaggi
    150
    Il problema è che nel secondo i div contenuti dentro a .shapes non stanno prendendo i valori left che dai nel numero 1. Non so se questi valori li dai con jQuery, ma ti consiglio di rivedere un attimo la struttura, perché in questo modo ti sei un po' incasinato. Piuttosto ti consiglierei di valutare l'utilizzo di una libreria come Bootstrap (https://getbootstrap.com/docs/4.3/ge...rted/download/) o, in alternativa, di usare i flexbox (https://www.html.it/guide/flexbox-guida-pratica/)
    Work hard. Code harder.

Permessi di invio

  • Non puoi inserire discussioni
  • Non puoi inserire repliche
  • Non puoi inserire allegati
  • Non puoi modificare i tuoi messaggi
  •  
Powered by vBulletin® Version 4.2.1
Copyright © 2019 vBulletin Solutions, Inc. All rights reserved.